> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3groupsrule definitions



## OpenAPI

````yaml get /v3/groups/rule-definitions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/groups/rule-definitions:
    get:
      tags:
        - Group Rule Definition
      operationId: groups.rule-definitions.index
      parameters:
        - name: page[size]
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Array of `GroupRuleDefinition`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GroupRuleDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
components:
  schemas:
    GroupRuleDefinition:
      type: object
      properties:
        id:
          type: integer
        handle:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        evaluator:
          type: string
        rule:
          type: array
          items: {}
        default_arguments:
          type:
            - array
            - 'null'
          items: {}
        context_requirements:
          type:
            - array
            - 'null'
          items: {}
        meta:
          type:
            - array
            - 'null'
          items: {}
        is_active:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - handle
        - name
        - description
        - evaluator
        - rule
        - default_arguments
        - context_requirements
        - meta
        - is_active
        - created_at
        - updated_at
      title: GroupRuleDefinition
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````